// pages/components/bonusTips/bonusTips.js
let app = getApp()
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    tipsDatas: {
      type:Object
    }
  },

  /**
   * 组件的初始数据
   */
  data: {

  },

  /**
   * 组件的方法列表
   */
  methods: {
    myCatchTouch() {
      return 
    },
    seeBonus() {
      this.close()
      let { btn_type } = this.properties.tipsDatas
      if (btn_type == 'detail') {
        let { type_sn } = this.properties.tipsDatas
        app.navigateto(`/pages/shareBonus/shareBonus?type_sn=${type_sn}`)
      }
      else if (btn_type == 'send') {
        app.navigateto(`/pages/handOutBonus/handOutBonus`)  
      }
         
      
    },
    close() {
      this.triggerEvent('closeTips')
    }
  }
})
